#!/bin/sh

# pre application script
############################################################

echo
echo "----------------------------------------"
echo "prerun.sh, starting"
echo "----------------------------------------"

swdtd

# pre-update

SCRIPTNAME='pre-autoupdate.sh'

if [ -f /data/$SCRIPTNAME ]; then
   echo "$SCRIPTNAME found, running..."
   echo
   cd /data
   /data/$SCRIPTNAME
fi


# update

ARCHIVENAME='czsensorupdate.tar.gz'
SCRIPTNAME='autoupdate.sh'

if [ -f /data/$ARCHIVENAME ]; then
   if [ -f /data/$SCRIPTNAME ]; then
	echo "$SCRIPTNAME and $ARCHIVENAME found, running..."
	echo
        cd /data
	/data/$SCRIPTNAME
   fi
fi


# post-update

SCRIPTNAME='post-autoupdate.sh'

if [ -f /data/$SCRIPTNAME ]; then
   echo "$SCRIPTNAME found, running..."
   echo
   cd /data
   /data/$SCRIPTNAME
fi


killall swdtd

echo "----------------------------------------"
echo "prerun.sh, finished"
echo "----------------------------------------"

